Fetch customer requests
curl --request GET \
--url https://sigmacdd.sabipay.com/api/v1/cdd-request/customers/{uniqueId} \
--header 'apiKey: <api-key>' \
--header 'apiSecret: <api-key>'import requests
url = "https://sigmacdd.sabipay.com/api/v1/cdd-request/customers/{uniqueId}"
headers = {
"apiKey": "<api-key>",
"apiSecret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', apiSecret: '<api-key>'}};
fetch('https://sigmacdd.sabipay.com/api/v1/cdd-request/customers/{uniqueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "CDD requests retrieved successfully",
"count": 151,
"pageNumber": 1,
"data": [
{
"_id": "6a465fb16cbbee64ab3e9027",
"type": "individual",
"workflow": {
"_id": "69aeb7523eec17ec36735130",
"name": "Daily scheduled PEP, Sanctions and Adverse Media",
"slug": "daily-scheduled-pep-sanctions-and-adverse-media"
},
"name": "abdul-qawiyy oladimeji",
"status": "awaiting confirmation",
"createdAt": "2026-07-02T12:55:15.275Z"
},
{
"_id": "6a43bd180be9769b8a481cdd",
"type": "individual",
"workflow": {
"_id": "6a43b63deedd78c5301b9831",
"name": "Onboarding setup - Indv",
"slug": "onboarding-setup-indv"
},
"name": "abdul-qawiyy oladimeji",
"status": "completed",
"createdAt": "2026-06-30T12:56:57.489Z",
"overallRiskLevel": {
"history": [
{
"request": "6a43bd180be9769b8a481cdd",
"riskScore": 1,
"date": "2026-06-30T12:59:38.460Z"
}
],
"request": "6a43bd180be9769b8a481cdd",
"riskScore": 1
}
}
]
}Customer Due Diligence
Fetch Customer Requests
GET api/v1/cdd-request/customers/{uniqueId}
Fetch customer requests
Path Parameters
⌘I